2 Replies Latest reply on Feb 8, 2017 4:58 PM by Will F.

    update Lightroom  6.0 to 6.4, Not 6.8

    Will F. Level 1

      Hi,

      I can't seem to do this.  I'm running Mac 10.9 and if I choose "updates" under the Lightroom "Help" menu it updates me to 6.8, which then won't run properly because it requires 10.10.

       

      At Adobe's, "Keeping Lightroom Up to Date Page" they don't seem to have 6.4 to download, though they do for 5.71, etc.

       

      Thanks for your help.

       

      -Will